<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) DIGITEO - 2010 - Allan CORNET
 * 
 *
 -->
<refentry version="5.0-subset Scilab" xml:id="MKL_Enable_Instructions"
          xml:lang="en" xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate: 2008-03-26 09:50:39 +0100 (mer., 26 mars 2008)
    $</pubdate>
  </info>

  <refnamediv>
    <refname>MKL_Enable_Instructions</refname>

    <refpurpose>Allows dispatching Intel® Advanced Vector
    Extensions</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>b = MKL_Enable_Instructions(avx)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>avx</term>

        <listitem>
          <para>Parameter indicating which new instructions the user needs to
          enable.</para>

          <para>1 : MKL_AVX_ENABLE</para>

          <para>0 : DEFAULT not used</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>b</term>

        <listitem>
          <para>%t or %f Indicates failure, The request is rejected.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>This function allows Intel MKL to dispatch Intel® Advanced Vector
    Extensions (Intel® AVX) if run on Intel® AVX-enabled hardware (or
    simulation).</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example">MKL_Enable_Instructions(1)</programlisting>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Allan CORNET</member>

      <member>Intel MKL documentation</member>
    </simplelist>
  </refsection>
</refentry>
